Subject: Re: bug#40003: 27.0.70; Windows build is without jansson support

From: Phillip Lord <[email-masked]>
Date: Mon, 22 Jun 2020 18:24:35 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Phillip Lord <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>,  Ivan Yonchovski <[email-masked]>,
>>   [email-masked]
>> Date: Mon, 22 Jun 2020 16:53:25 +0100
>> 
>> I am trying to build this against Emacs-28 at the moment. What test can
>> I run on Emacs-28 to let me know if it has worked?
>
>   cd test && make src/json-tests
>
> If this says tests were not skipped, you've succeeded, and your Emacs
> uses the libjansson library.

Ah!

(fboundp 'json-serialize)

>> After that, the decision is what to do for Emacs-27. I can add the
>> dependency, but it will require rebuilding the deps file which will
>> update *all* of the dependencies. Not a big problem in one sense, but we
>> are in the pre-release test phase, IIUC.
>
> I'd say go for it.  I don't expect trivial changes in the dependencies
> to affect Emacs.

Okay. I've updated by deps files. Will have to wait for emacs-27.0.92 to
come out till the next upload.

Phil